
Image Component Library - Feature #78

Restructure Examples

2012-08-19 14:02 - Christof Elbrechter

Status: Closed Start date: 2012-08-19

Priority: Normal Due date:  

Assignee: Christof Elbrechter % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: icl-8.0   

Description

remove obsolete examples

join some examples

PERHAPS: split examples to [test|examples|apps]

History

#1 - 2012-08-20 14:52 - Christof Elbrechter

Update:

new Idea: Do not create an extra apps folder

instead leave apps and examples together

but try to create some gtests and move them to the test folders

#2 - 2012-08-24 09:57 - Christof Elbrechter

- Status changed from New to Closed

- Assignee set to Christof Elbrechter

- % Done changed from 0 to 100

moved some examples to test

cleaned up obsolete examples (135 before, 85 now)

renamed some examples

created naming convention:

- xxx-test for tests (also separated in test-folder)

- xxx-example for non-interactive and non-gui example applications (in examples)

- xxx-demo for non-reusable, but examplary (interactive and gui-based) demo applications

- xxx for real applications like icl-viewer, icl-pipe etc.

renamed some of the reusable applications (e.g.)

- icl-camviewer > icl-viewer

icl-camcfg > icl-camera-configuration

icl-cam-calib-2 > icl-camera-calibration

and some others ...
